# $Revision: 1.14 $, $Date: 2004/05/07 00:32:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	Random
Summary:	String::Random - Perl module to generate random strings based on a pattern
Summary(pl):	String::Random - modu Perla do generowania losowych acuchw na podstawie wzoru
Name:		perl-String-Random
Version:	0.20
Release:	2
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	20e704a98633ad7b62ae2a73859dd37b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::Random is used to generate random strings.  It was written to
make generating random passwords and such a little easier.

%description -l pl
Modu String::Random suy do generowania losowych acuchw. Zosta
napisany, aby uczyni znacznie atwiejszym generowanie losowych hase.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-Random.spec,v $
Revision 1.14  2004/05/07 00:32:04  ankry
- rel. 2

Revision 1.13  2004/05/01 00:31:59  ankry
- license fixed, cosmetics

Revision 1.12  2004/04/14 13:50:47  qboosh
- Epoch 1 (0.20 < 0.198 for rpm); new-style bcond, updated deps

Revision 1.11  2004/04/14 13:48:01  adamg
- updated to 0.20

Revision 1.10  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:15  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:27  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:37:24  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
